Changeset 1558


Ignore:
Timestamp:
Jun 8, 2010 2:26:27 PM (10 years ago)
Author:
stefan
Message:

append required packages to the beginning of its list, so that projects which have many depending on them end at the end of the list, hopefully giving a working order of linker flags in a static build; fix bug in COIN_HAS_MODULE_LAPACK

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/coin.m4

    r1555 r1558  
    38063806      [ m4_tolower(coin_has_$1)=yes
    38073807        AC_MSG_RESULT([yes: $m4_toupper($1)_VERSIONS])
    3808         m4_bmatch($3, [required=0], [], [REQUIREDPACKAGES="$REQUIREDPACKAGES $2"])
     3808        m4_bmatch($3, [required=0], [], [REQUIREDPACKAGES="$2 $REQUIREDPACKAGES"])
    38093809      ],
    38103810      [ m4_tolower(coin_has_$1)=notGiven
     
    39153915    m4_bmatch($4, [required=0], [],
    39163916      [ADDLIBS="$ADDLIBS $m4_toupper($1_LIBS)"
    3917        REQUIREDPACKAGES="$REQUIREDPACKAGES $2"
     3917       REQUIREDPACKAGES="$2 $REQUIREDPACKAGES"
    39183918      ])
    39193919
     
    42084208  AM_CONDITIONAL([COIN_HAS_LAPACK],[test 0 = 0])
    42094209  AC_DEFINE([COIN_HAS_LAPACK],[1], [If defined, the LAPACK Library is available.])
    4210   LAPACK_LIBS="$use_blas"
     4210  LAPACK_LIBS="$use_lapack"
    42114211  LAPACK_CFLAGS=
    42124212  LAPACK_DATA=
Note: See TracChangeset for help on using the changeset viewer.